Buf(1)

NAME
buf-beta-registry-plugin-push - Push a plugin to a registry

SYNOPSIS
buf beta registry plugin push [flags]

DESCRIPTION
The first argument is the source to push (directory containing buf.plugin.yaml or plugin release zip), which must be a directory. This defaults to "." if no argument is specified.

OPTIONS
--disable-symlinks[=false]
    Do not follow symlinks when reading sources or configuration from the local filesystem By default, symlinks are followed in this CLI, but never followed on the Buf Schema Registry

--format="text"
    The output format to use. Must be one of [text,json]

-h, --help[=false]
    help for push

--image=""
    Existing image to push

--override-remote=""
    Override the default remote found in buf.plugin.yaml name and dependencies

--visibility=""
    The plugin's visibility setting. Must be one of [public,private]

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Turn on debug logging

--log-format="color"
    The log format [text,color,json]

--timeout=2m0s
    The duration until timing out, setting it to zero means no timeout

SEE ALSO
buf-beta-registry-plugin(1)

HISTORY
2025-10-20 Auto generated by spf13/cobra